The Daniels Blog

Berpikir, Berpendapat, dan Berbagi

Membuka (Open) File Solidworks via Visual Studio 05

logo4

Akhirnya, setelah 3 hari ngoprek bisa juga buka file solidworks (.SLDPRT) via .Net 05…

Berikut  adalah step by stepnya :

  1. Buka project baru klik project, kemudian Add Reference

  2. Klik tab COM, pilih SldWorks 2008 Type Library dan SolidWorks 2008 Constant type library kemudian OK

  3. Pada form design, drag button dari toolbox

  4. Klik 2 kali pada button

  5. Copy – kan listing berikut :

Option Explicit On

Imports SldWorks

Imports SwConst

Imports SwCommands

Public Class FrmDesain

Private Sub btLoad_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btLoad.Click

Dim swApp As SldWorks.SldWorks

Dim swModel As SldWorks.ModelDoc2

Dim fileerror As swFileLoadError_e

Dim filewarning As swFileLoadWarning_e

swApp = CreateObject(“SldWorks.Application”)

swModel = swApp.OpenDoc6(“D:/coba2.SLDPRT”, 1, 0, “”, fileerror, filewarning)

swApp.OpenDoc6(“D:/coba2.SLDPRT”, 1, 0, “”, fileerror, filewarning)

swModel = swApp.ActivateDoc2(“D:/coba2.SLDPRT”, False, fileerror)

End Sub

6.  Gantilah direktori file sesuai direktori penyimpanan file berikut nama file

7.  Kemudian Running!!

SolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPI

SolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPI

SolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPI

SolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPI

SolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPI

SolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPISolidworksAPI

November 22, 2008 - Posted by | Saya dan Komputer, Saya dan Teknik Industri | ,

1 Komentar »

  1. eh mau nanya neh…
    cara manggil directory yd d’pke kan
    swModel = swApp.OpenDoc6(“D:/coba2.SLDPRT”, ………….

    sama gak klo coding yg mau ak pke spt ini…
    swModel = swApp.OpenDoc6(“..\coba2.SLDPRT”, ………….

    trus ajarin dong buat manggil + make appl laen yang udah di built in dari Visto 2005…

    ak tunggu d’email ku…
    blacksmithiron@yahoo.com

    ok mas, saya kirimkan jawabannya…🙂

    Komentar oleh bonn | Maret 28, 2009 | Balas


Tinggalkan Balasan

Isikan data di bawah atau klik salah satu ikon untuk log in:

Logo WordPress.com

You are commenting using your WordPress.com account. Logout / Ubah )

Gambar Twitter

You are commenting using your Twitter account. Logout / Ubah )

Foto Facebook

You are commenting using your Facebook account. Logout / Ubah )

Foto Google+

You are commenting using your Google+ account. Logout / Ubah )

Connecting to %s

%d blogger menyukai ini: